# $Revision: 1.16 $, $Date: 2012/04/01 13:02:01 $
%define		status		beta
%define		pearname	File_XSPF
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - manipulating XSPF playlists
Summary(pl.UTF-8):	%{pearname} - manipulowanie playlistami XSPF
Name:		php-pear-%{pearname}
Version:	0.3.1
Release:	1
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	35a9a3b41d4ead8dbda36c83fcc3cca1
URL:		http://pear.php.net/package/File_XSPF/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.a1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php-pear
Requires:	php-pear-PEAR-core >= 1:1.4.0-0.a1
Requires:	php-pear-Validate >= 0.6.2
Requires:	php-pear-XML_Parser >= 1.2.7
Requires:	php-pear-XML_Tree >= 1.1.0
Obsoletes:	php-pear-File_XSPF-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides the user with the ability to update and create
XSPF playlist files.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Ten pakiet dostarcza użytkownikowi możliwość tworzenia i aktualizacji
plików playlist w formacie XSPF.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

mv .%{php_pear_dir}/data/File_XSPF/README .
mv docs/File_XSPF/examples .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/File/XSPF.php
%{php_pear_dir}/File/XSPF
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-File_XSPF.spec,v $
Revision 1.16  2012/04/01 13:02:01  glen
- up to 0.3.1

Revision 1.15  2012/03/29 06:54:51  glen
- package File_XSPF_Exception; pear bug #19355

Revision 1.14  2012/03/24 13:49:21  glen
- up to 0.3.0

Revision 1.13  2011/07/31 19:08:28  glen
- updated to: 0.2.3

Revision 1.12  2010/11/16 12:13:23  glen
- up to 0.2.2

Revision 1.11  2010/08/21 19:08:48  glen
- updated deps with pearize.sh
- release 3

Revision 1.10  2008/01/31 12:16:06  glen
- rel 2

Revision 1.9  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.7  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.6  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.5  2006/04/02 11:22:05  glen
- 0.2.1

Revision 1.4  2006/03/29 22:21:05  glen
- rel 2 (rebuild with less deps)

Revision 1.3  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.2  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.1  2006/01/13 07:12:08  adamg
- new

